Gda.SqlParser – Gda-6.0 Reference Manual

# SqlParser

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_sql_parser_get_type ()" ) ]
public class SqlParser : Object, Lockable
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public int column_error { get; }
- public int line_error { get; }
- public int mode { get; set; }
- public int tokenizer_flavour { get; set; }

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- public SqlParser ()

### Methods:

- public Batch? parse_file_as_batch (string filename) throws Error
- public Statement? parse_string (string sql, out string? remain) throws Error
- public Batch? parse_string_as_batch (string sql, out string? remain) throws Error
- public void set_overflow_error ()
- public void set_syntax_error ()

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface Gda.Lockable

- @lock

- @unlock

- trylock